#include<iostream>
using namespace std;
#include "Car.h"
Car::Car(int code):code(code){}
bool Car::operator==(const Car &car)
{
	if ( strcmp(this->model, car.model) == 0 )
		return true;
	else 
		return false;
}
bool Car::operator > (const Car &car)
{
	if (strcmp(this->model, car.model) > 0)
		return true;
	else 
		return false;
}
bool Car::operator < (const Car &car)
{
	if (strcmp(this->model, car.model) < 0)
		return true;
	else 
		return false;
}
bool Car::operator >= (const Car &car)
{
	if (strcmp(this->model, car.model) >= 0)
		return true;
	else 
		return false;
}
bool Car::operator <= (const Car &car)
{
	if (strcmp(this->model, car.model) <= 0)
		return true;
	else 
		return false;
}
ostream & operator << (ostream & stream,Car & rk)
{
	stream<<"код: "<<rk.code<<"\t"<<"Модель: "<<rk.model<<"\t"<<"Имя: "<<rk.name<<"\t"<<"Тип кузова: "<<rk.typeBody<<"\t"<<"Год выпуска: "<<rk.age<<endl;
	return stream;

}
istream & operator >> (istream & stream, Car & rk)
{
	cout<<"Введите код автомобиля: ";
	stream>>rk.code;
	cout<<"Введите марку автомобиля: ";
	stream>>rk.model;
	cout<<"Введите имя автомобиля: ";
	stream>>rk.name;
	cout<<"Введите тип кузова автомобиля: ";
	stream>>rk.typeBody;
	cout<<"Введите год автомобиля: ";
	stream>>rk.age;
	cout<<endl;
	return stream;
}

char *Car::getName()
{
	return this->model;
}
void Car::setName(char *model)
{
	strcpy(this->model, model);
}